PUT /api/v3/workflow Deprecated

Update bill workflow settings

EditWorkflowV3 Permissions: BillWorkflowSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

WorkflowSettingsRequest
Property Description Type
apExport ExportWorkflowChild
ExportWorkflowChild properties
Property Description Type
canExport The point at which a bill is eligible for export Required One of ’never’, ‘after entry’, ‘after batch’, ‘after approval’, ‘after batch approval’ string
exportModeEnabled Whether or not Export Mode is enabled Required boolean
includeUdfs Whether or not custom fields should be included in export Required boolean
approval ApprovalWorkflowRequestChild
ApprovalWorkflowRequestChild properties
Property Description Type
confirmEditDelete Whether or not edit / delete should be confirmed Required boolean
batch BatchWorkflowChild
BatchWorkflowChild properties
Property Description Type
accountPeriodName BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
accountPeriodYear BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
controlCode BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
dueDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
invoiceNumber BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
nextReading BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
statementDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
billImport BillImportWorkflowSettings
BillImportWorkflowSettings properties
Property Description Type
errorHandling Determines how bill import errors are handled. If your organization utilizes BillCAPture, this is forced to MarkBatchPending. One of ‘MarkBatchPending’, ‘ProcessValidBills’ string
chargeback ChargebackWorkflowSettings
ChargebackWorkflowSettings properties
Property Description Type
allowAdvancedChargebackSettings Allow or prevent the “advanced” dialog to be displayed when running the chargeback processor Required boolean
glExport ExportWorkflowChild
ExportWorkflowChild properties
Property Description Type
canExport The point at which a bill is eligible for export Required One of ’never’, ‘after entry’, ‘after batch’, ‘after approval’, ‘after batch approval’ string
exportModeEnabled Whether or not Export Mode is enabled Required boolean
includeUdfs Whether or not custom fields should be included in export Required boolean
Example Request Body application/json
{  "apExport": {    "canExport": "string",    "exportModeEnabled": false,    "includeUdfs": false
  },  "approval": {    "confirmEditDelete": false
  },  "batch": {    "accountPeriodName": {      "required": false,      "useField": false
    },    "accountPeriodYear": {      "required": false,      "useField": false
    },    "controlCode": {      "required": false,      "useField": false
    },    "dueDate": {      "required": false,      "useField": false
    },    "invoiceNumber": {      "required": false,      "useField": false
    },    "nextReading": {      "required": false,      "useField": false
    },    "statementDate": {      "required": false,      "useField": false
    }
  },  "billImport": {    "errorHandling": "string"
  },  "chargeback": {    "allowAdvancedChargebackSettings": false
  },  "glExport": {    "canExport": "string",    "exportModeEnabled": false,    "includeUdfs": false
  }
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WorkflowSettingsResponse
Property Description Type
apExport ExportWorkflowChildV202410
ExportWorkflowChildV202410 properties
Property Description Type
canExport The point at which a bill is eligible for export Required One of ’never’, ‘after entry’, ‘after batch’, ‘after approval’, ‘after batch approval’ string
exportModeEnabled Whether or not Export Mode is enabled Required boolean
includePaymentDetails Whether or not payment details should be included in export Required boolean
includeUdfs Whether or not custom fields should be included in export Required boolean
approval ApprovalWorkflowChild
ApprovalWorkflowChild properties
Property Description Type
approvalModeEnabled Whether or not Approval Mode is enabled boolean
confirmEditDelete Whether or not edit / delete should be confirmed boolean
batch BatchWorkflowSettings
BatchWorkflowSettings properties
Property Description Type
accountPeriodName BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
accountPeriodYear BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
batchModeEnabled boolean
controlCode BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
dueDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
invoiceNumber BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
nextReading BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
statementDate BillHeaderWorkflowChild
BillHeaderWorkflowChild properties
Property Description Type
required boolean
useField boolean
billImport BillImportWorkflowSettings
BillImportWorkflowSettings properties
Property Description Type
errorHandling Determines how bill import errors are handled. If your organization utilizes BillCAPture, this is forced to MarkBatchPending. One of ‘MarkBatchPending’, ‘ProcessValidBills’ string
chargeback ChargebackWorkflowSettings
ChargebackWorkflowSettings properties
Property Description Type
allowAdvancedChargebackSettings Allow or prevent the “advanced” dialog to be displayed when running the chargeback processor Required boolean
glExport ExportWorkflowChildV202410
ExportWorkflowChildV202410 properties
Property Description Type
canExport The point at which a bill is eligible for export Required One of ’never’, ‘after entry’, ‘after batch’, ‘after approval’, ‘after batch approval’ string
exportModeEnabled Whether or not Export Mode is enabled Required boolean
includePaymentDetails Whether or not payment details should be included in export Required boolean
includeUdfs Whether or not custom fields should be included in export Required boolean
paymentExport ExportWorkflowChildV202410
ExportWorkflowChildV202410 properties
Property Description Type
canExport The point at which a bill is eligible for export Required One of ’never’, ‘after entry’, ‘after batch’, ‘after approval’, ‘after batch approval’ string
exportModeEnabled Whether or not Export Mode is enabled Required boolean
includePaymentDetails Whether or not payment details should be included in export Required boolean
includeUdfs Whether or not custom fields should be included in export Required boolean
Example Response application/json
{  "apExport": {    "canExport": "string",    "exportModeEnabled": false,    "includePaymentDetails": false,    "includeUdfs": false
  },  "approval": {    "approvalModeEnabled": false,    "confirmEditDelete": false
  },  "batch": {    "accountPeriodName": {      "required": false,      "useField": false
    },    "accountPeriodYear": {      "required": false,      "useField": false
    },    "batchModeEnabled": false,    "controlCode": {      "required": false,      "useField": false
    },    "dueDate": {      "required": false,      "useField": false
    },    "invoiceNumber": {      "required": false,      "useField": false
    },    "nextReading": {      "required": false,      "useField": false
    },    "statementDate": {      "required": false,      "useField": false
    }
  },  "billImport": {    "errorHandling": "string"
  },  "chargeback": {    "allowAdvancedChargebackSettings": false
  },  "glExport": {    "canExport": "string",    "exportModeEnabled": false,    "includePaymentDetails": false,    "includeUdfs": false
  },  "paymentExport": {    "canExport": "string",    "exportModeEnabled": false,    "includePaymentDetails": false,    "includeUdfs": false
  }
}